# CharacteristicSetUp

Sets up the internal data structures for the later use of an iterative solver.

### Synopsis

    #include "src/contrib/semiLagrange/characteristic.h"
    PetscErrorCode CharacteristicSetUp(Characteristic c)

Collective on Characteristic

### Input Parameter

ksp -iterative context obtained from CharacteristicCreate()

### Keywords

Characteristic, setup

### See Also

CharacteristicCreate(), CharacteristicSolve(), CharacteristicDestroy()

Level:developer
Location: src/contrib/semiLagrange/interface/characteristic.c
Index of all SemiLagrange routines
Table of Contents for all manual pages
Index of all manual pages